LibreOffice: XMultiPropertyStates Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XMultiPropertyStates Interface Referencepublished

makes it possible to query information about the state of one or more properties. More...

`import"XMultiPropertyStates.idl";`

Inheritance diagram for XMultiPropertyStates:

## Public Member Functions
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setAllPropertiesToDefault ()
| sets all properties to their default values. More...
void | setPropertiesToDefault ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException )
| sets the specified properties to their default values. More...
sequence< any > | getPropertyDefaults ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to query information about the state of one or more properties.

The state of a property contains information about the source of the value, e.g. the object itself, a default or a stylesheet. For more information see PropertyState.

## Member Function Documentation

## ◆ getPropertyDefaults()

sequence<any> getPropertyDefaults | ( | [in] sequence< string > | aPropertyNames | ) |
raises | ( | com::sun::star::beans::UnknownPropertyException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

Returns
  the default values of the propertes with the specified names.

If no default exists, is not known, or is void, then the return type at the corresponding position in the sequence returned is `void`.

Parameters

  aPropertyNames | specifies the names of the properties. All names must be unique. This sequence must be alphabetically sorted.

Exceptions

  UnknownPropertyException | if one of the propertes does not exist.
  com::sun::star::lang::WrappedTargetException | if the implementation has an internal reason for the exception. In this case the original exception is wrapped into that com::sun::star::lang::WrappedTargetException.

## ◆ getPropertyStates()

sequence<com::sun::star::beans::PropertyState> getPropertyStates | ( | [in] sequence< string > | aPropertyName | ) |
raises | ( | com::sun::star::beans::UnknownPropertyException
| ) |  |

Returns
  a sequence of the states of the properties which are specified by their names.

The order of the states is correlating to the order of the given property names.

Parameters

  aPropertyName | specifies the names of the properties. All names must be unique. This sequence must be alphabetically sorted.

## ◆ setAllPropertiesToDefault()

void setAllPropertiesToDefault | ( |  | ) |

sets all properties to their default values.

Each value depends on the implementation of this interface. If it is a bound property, you must change the value before the change events are fired. If it is a constrained property, you must fire the vetoable event before you change the property value.

## ◆ setPropertiesToDefault()

void setPropertiesToDefault | ( | [in] sequence< string > | aPropertyNames | ) |
raises | ( | com::sun::star::beans::UnknownPropertyException
| ) |  |

sets the specified properties to their default values.

Each value depends on the implementation of this interface. If it is a bound property, you must change the value before the change events are fired. If it is a constrained property, you must fire the vetoable event before you change the property value.

Parameters

  aPropertyNames | specifies the names of the properties. All names must be unique. This sequence must be alphabetically sorted.

Exceptions

  UnknownPropertyException | if one of the properties does not exist.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XMultiPropertyStates.idl